Home

Reseller API

Send POST requests as application/x-www-form-urlencoded with parameters key and action. The same key may be sent in the X-Api-Key header or as a query parameter.

POST https://smmyz.com/api/v2
Response JSON
Authentication
  • key in POST body
  • X-Api-Key header
  • ?key= query (optional)

Service list

Parameter Description
key Your API key
action services

Returns JSON services with: service, name, type (slug: default, package, drip_feed, …), category, rate, min, max, refill, cancel.

Add order

Parameter Description
key Your API key
action add
service Service ID (numeric)
link Target link or username
quantity Amount (respect min/max)

Optional when supported: runs, interval, comments, username, min, max, posts, old_posts, delay, expiry, country, device, type_of_traffic, google_keyword, referring_url, answer_number. Service type is defined by the service row and does not need to be repeated on add.

Example success: {"order":12345}

Order status

Parameter Description
key Your API key
action status
order Single panel order ID
orders Comma-separated IDs (up to 100)

Response includes charge, start_count, status, remains, and currency.

Refill

Parameter Description
key Your API key
action refill
order Single order ID
orders Comma-separated order IDs

Refill status

Parameter Description
key Your API key
action refill_status
refill Single refill ID
refills Comma-separated refill IDs

Cancel

Parameter Description
key Your API key
action cancel
orders Comma-separated order IDs

Balance

Parameter Description
key Your API key
action balance

Example: {"balance":"100.84292","currency":"USD"}

PHP (cURL)

$ch = curl_init('https://smmyz.com/api/v2');
curl_setopt_array($ch, [
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => http_build_query([
        'key' => 'YOUR_API_KEY',
        'action' => 'balance',
    ]),
    CURLOPT_RETURNTRANSFER => true,
]);
echo curl_exec($ch);

JSON REST for the same account lives under /api/v1/* with header X-Api-Key.